#include<bits/stdc++.h>
using namespace std;
int main(){
    int n, m, a[100010], b[100010][2], s=0;
    cin>>n>>m;
    for(int i=1; i<=n; i++)
        cin>>a[i];
    for(int i=0; i<m; i++){
        for(int j=0; j<2; j++){
            cin>>b[i][j];
        }
        s+=abs(a[b[i][0]]+a[b[i][1]]);
    }
    cout<<s;
    return 0;
}